<script>
	import WallDiagram from "$lib/WallDiagram.svelte";
	export let data;

	let [ r, c, chi ] = data.chern;
	
	import { onMount } from 'svelte';

	let wallData = null;

	onMount(async () => {
		const res = await fetch(`http://${window.location.hostname}:3001/?v=${r},${c},${chi}`);
		wallData = await res.json();
	});

</script>

<h1> {data.chern} </h1>
<p>wallData: {JSON.stringify(wallData)}</p>

<WallDiagram {wallData}/>
